library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

--  Uncomment the following lines to use the declarations that are
--  provided for instantiating Xilinx primitive components.
--library UNISIM;
--use UNISIM.VComponents.all;

entity blikac is
port (
	clk:in STD_LOGIC;
	Dout:buffer STD_LOGIC_VECTOR (7 downto 0)
		);
end blikac;

architecture Behavioral of blikac is

begin
process (CLK)
begin
	if CLK'event and CLK='1' then--CLK rising edge
		Dout(7 downto 1) <= Dout(6 downto 0);--posuvny registr
		Dout(0) <= not Dout(7);--Last bit inverted back into first bit
	end if;
end process;

end Behavioral;
